Name:		EmfEngine
Version:	0.8
Release:	2%{?dist}
Summary:	Library enabling Qt based applications to export graphics to the EMF format
License:	GPLv3
Group:		System Environment/Libraries
URL:		http://soft.proindependent.com/emf
Source0:	http://download.berlios.de/qtiplot/%{name}-%{version}-opensource.zip
# Fixes the build and install of EmfEngine
Patch0:		EmfEngine-0.8-path.patch
BuildRequires:	libEMF-devel qt4-devel dos2unix

%description
The  Enhanced MetaFile format (EMF) is the native vector graphics file format
on Windows. Qt is a cross-platform application development framework, widely 
used for the development of GUI programs. Although it provides tools for almost
every aspect of software development, Qt doesn't include a straightforward 
solution for the export of 2D graphics to the EMF format. EmfEngine covers this
lack and enables Qt based applications to easily export graphics created using
the QPainter class to the Enhanced Metafile format. It is built on top of the 
QPaintEngine class, which provides an abstract definition of how QPainter draws
to a given device on a given platform. 

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	libEMF-devel%{?_isa}
Requires:	qt4-devel%{?_isa}

%description devel
The %{name}-devel package contains library, header file and documentation
for developing applications that use %{name}.

%prep
%setup -q -n %{name}
%patch0 -p1

# Remove DOS line endings
find -type f -exec dos2unix -k {} ";"

%build
export PATH=%{_qt4_bindir}:$PATH
pushd src
%{_qt4_qmake} CONFIG+=EmfEngineDll LIBS+=-lEMF \
	INCLUDEPATH+=%{_includedir}/libEMF LIBDIR=%{_libdir}
popd
make %{?_smp_mflags} -C src

%install
make install INSTALL="install -p" INSTALL_ROOT=%{buildroot} -C src

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc *.txt
%{_libdir}/libEmfEngine.so.*

%files devel
%defattr(-,root,root,-)
%doc example
%{_includedir}/EmfEngine.h
%{_libdir}/libEmfEngine.so

%changelog
* Fri Sep 10 2010 Chen Lei <supercyper@163.com> - 0.8-2
- move header file to %%{_includedir}

* Mon Jul 26 2010 Chen Lei <supercyper@163.com> - 0.8-1
- initial rpm build
